// ButtonConfigDialog.cpp : implementation file
//

#include "stdafx.h"
#include "gl1.h"
#include "ButtonConfigDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CButtonConfigDialog dialog


CButtonConfigDialog::CButtonConfigDialog(CWnd* pParent, CDirectInput *di, int joy)
	: CDialog(CButtonConfigDialog::IDD, pParent)
{
	m_di = di;
	m_joy = joy;
	//{{AFX_DATA_INIT(CButtonConfigDialog)
	//}}AFX_DATA_INIT
}


void CButtonConfigDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CButtonConfigDialog)
	DDX_Control(pDX, IDC_EDIT2, m_editParryButton);
	DDX_Control(pDX, IDC_EDIT1, m_editAttackButton);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CButtonConfigDialog, CDialog)
	//{{AFX_MSG_MAP(CButtonConfigDialog)
	ON_BN_CLICKED(IDC_BUTTONPARRY, OnButtonparry)
	ON_BN_CLICKED(IDC_BUTTONATTACK, OnButtonattack)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CButtonConfigDialog message handlers

//DEL BOOL CButtonConfigDialog::Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext) 
//DEL {
//DEL 	// TODO: Add your specialized code here and/or call the base class
//DEL 	
//DEL 	return CDialog::Create(IDD, pParentWnd);
//DEL }

BOOL CButtonConfigDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	SetWindowText(m_di->getJoystickName(m_joy));

	m_oldAttackButton = m_di->getAttackButton(m_joy);
	m_oldParryButton = m_di->getParryButton(m_joy);
	setEdits();
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CButtonConfigDialog::OnButtonattack() 
{
	m_di->selectButton(m_joy, cAttack);
	setEdits();
}

void CButtonConfigDialog::OnButtonparry() 
{
	m_di->selectButton(m_joy, cParry);
	setEdits();
}

void CButtonConfigDialog::setEdits()
{
	char att[10], par[10];
	sprintf(att, "%i", m_di->getAttackButton(m_joy) + 1); // +1 kvuli tomu ze na joysticku byvaji tlacitka cislovana od 1
	sprintf(par, "%i", m_di->getParryButton(m_joy) + 1);
	m_editAttackButton.SetWindowText(att);
	m_editParryButton.SetWindowText(par);
}
