#if !defined(AFX_KEYBOARDCONFIGDIALOG_H__74F2B8BF_5E4D_45F0_8264_F39947C2208B__INCLUDED_)
#define AFX_KEYBOARDCONFIGDIALOG_H__74F2B8BF_5E4D_45F0_8264_F39947C2208B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// KeyboardConfigDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CKeyboardConfigDialog dialog

#include "InputManager.h"

class CKeyboardConfigDialog : public CDialog
{
// Construction
public:
	CKeyboardConfigDialog(InputManager *im, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CKeyboardConfigDialog)
	enum { IDD = IDD_DIALOG2 };
	CEdit	m_back1edit;
	CEdit	m_pass1edit;
	CEdit	m_forward1edit;
	CEdit	m_guard1edit;
	CEdit	m_back0edit;
	CEdit	m_forward0edit;
	CEdit	m_guard0edit;
	CEdit	m_pass0edit;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CKeyboardConfigDialog)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

private:
	void setEdits();
	InputManager *m_inputManager; // input manazer, jehoz nastaveni budu (mozna) menit

	int m_choosingPlayer; // pro jakeho hrace ted vybiram klavesu
	int m_choosingAction; // pro jakou akci ted vybiram klavesu (cSraz, cOdsun, ...)
	int m_vk[2][cPocetAkci]; // tabulka klaves pro oba hrace

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CKeyboardConfigDialog)
	afx_msg void OnChangeGuard0();
	afx_msg void OnGuard0button();
	afx_msg void OnBack0button();
	afx_msg void OnForward0button();
	afx_msg void OnPass0button();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnGuard1button();
	afx_msg void OnPass1button();
	afx_msg void OnForward1button();
	afx_msg void OnBack1button();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_KEYBOARDCONFIGDIALOG_H__74F2B8BF_5E4D_45F0_8264_F39947C2208B__INCLUDED_)
