/* 
    ModeWait.h

	Implementation of CMainMode abstract class for waiting for connection

    Author: Ladislav Kavan, 2002
	E-mail: lkav8604@barbora.ms.mff.cuni.cz
*/

#include "MainMode.h"
#include "gl1.h"
#include "constants.h"

#ifndef MODEWait_H
#define MODEWait_H

class CModeWait : public CMainMode
{
public:
	CModeWait()
	{ 	}	
	virtual ~CModeWait() { }
	virtual void play() { }
	virtual void draw(CCameraView *camera, int camId, const bool transpAvatar[2]);
	virtual void reloadTextures(int camId) { int hm2 = camId; hm2++; }
	virtual FencerModel *getModel(int i) { int j=i; j++; return 0; }
	virtual int getMyState() { return cWait; }
//	virtual void changeQuality(int quality) { assert(false); }	
};

#endif MODEWait_H