// gl1.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "gl1.h"

#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// pro pohodlnejsi pristup k defum:
int ID_INPUT_REMOTE0[2] = {ID_INPUT0_REMOTE0, ID_INPUT1_REMOTE0};
int ID_INPUT_REMOTE_LAST[2] = {ID_INPUT0_REMOTE_LAST, ID_INPUT1_REMOTE_LAST};
int ID_INPUT_NOTHING[2] = {ID_INPUT0_NOTHING, ID_INPUT1_NOTHING};

/////////////////////////////////////////////////////////////////////////////
// CGl1App

BEGIN_MESSAGE_MAP(CGl1App, CWinApp)
	//{{AFX_MSG_MAP(CGl1App)
	ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGl1App construction

CGl1App::CGl1App()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
	m_pMainWnd = 0;
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CGl1App object

CGl1App theApp;

/////////////////////////////////////////////////////////////////////////////
// CGl1App initialization

BOOL CGl1App::InitInstance()
{
	WSADATA wsadata;
	if (!AfxSocketInit(&wsadata))
	{
		AfxMessageBox(IDP_SOCKETS_INIT_FAILED);
		return FALSE;
	}

//	TRACE("maximaleni delka UDP datagramu wsadata.iMaxUdpDg = %i\n", wsadata.iMaxUdpDg);

	AfxEnableControlContainer();

	// Standard initialization
	// If you are not using these features and wish to reduce the size
	//  of your final executable, you should remove from the following
	//  the specific initialization routines you do not need.

#ifdef _AFXDLL
	Enable3dControls();			// Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic();	// Call this when linking to MFC statically
#endif

	// Change the registry key under which our settings are stored.
	// TODO: You should modify this string to be something appropriate
	// such as the name of your company or organization.
	SetRegistryKey(_T("Local AppWizard-Generated Applications"));

	// To create the main window, this code creates a new frame window
	// object and then sets it as the application's main window object.

    CreateGLWindow();

	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// CGl1App message handlers





/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
		// No message handlers
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// App command to run the dialog
void CGl1App::OnAppAbout()
{
	CAboutDlg aboutDlg;
	aboutDlg.DoModal();
}

/////////////////////////////////////////////////////////////////////////////
// CGl1App message handlers


// Hrozne dulezita vec: OnIdle je veci threadu, nikoliv okna (CWnd)
BOOL CGl1App::OnIdle(LONG lCount) 
{
	// TODO: Add your specialized code here and/or call the base class

	CMainFrame *mf = (CMainFrame *)m_pMainWnd;
	
	/*
	static int n=0;
	n = (n+1)%2;
	if (n) mf->setStatusText("aaaaaaaaaaa");
	else mf->setStatusText("AAAAAAAAAAAAAAAAAAA");
	*/

    mf->m_wndView->mainLoop();
	/*
	CDC *cDC = mf->m_wndView->GetDC();
	::SwapBuffers(cDC -> m_hDC);
	mf->m_wndView->ReleaseDC(cDC);
	/**/	

	CWinApp::OnIdle(lCount);
	return TRUE;
}

void CGl1App::CreateGLWindow()  
{	    
    CMainFrame* pFrame = new CMainFrame(this);
	m_pMainWnd = pFrame;

		// create and load the frame with its resources

	pFrame->LoadFrame(IDR_MAINFRAME,
		WS_OVERLAPPEDWINDOW | FWS_ADDTOTITLE, NULL,
		NULL);


	// teprve tady je nastaveny m_pMainWnd->m_hWnd !!! zakopany PES
	pFrame->afterWindowCreation();

	// The one and only window has been initialized, so show and update it.
	pFrame->ShowWindow(SW_SHOW);
	pFrame->UpdateWindow();
}

/*
void CGl1App::OnModeFullscreen() 
{
	// TODO: Add your command handler code here
	CMenu *menu = m_pMainWnd -> GetMenu();    
    fullscreen = !fullscreen;  

	if (fullscreen) menu -> CheckMenuItem(ID_MODE_FULLSCREEN, MF_CHECKED);
	else menu -> CheckMenuItem(ID_MODE_FULLSCREEN, MF_UNCHECKED);

	((CMainFrame *)m_pMainWnd) -> ToggleFullscreen();
}
*/

int CGl1App::ExitInstance() 
{
	// TODO: Add your specialized code here and/or call the base class
	return CWinApp::ExitInstance();
}
