// DebugDialog.cpp : implementation file
//

#include "stdafx.h"
#include "gl1.h"
#include "DebugDialog.h"
#include "ChildView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DebugDialog dialog


DebugDialog::DebugDialog(CWnd* pParent /*=NULL*/)
	: CDialog(DebugDialog::IDD, pParent)
{	
	//{{AFX_DATA_INIT(DebugDialog)
	//}}AFX_DATA_INIT
	posun = 0;
}


void DebugDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DebugDialog)
	DDX_Control(pDX, IDC_EDIT6, m_subdivInfo);
	DDX_Control(pDX, IDC_BUTTONRESET, m_buttonReset);
	DDX_Control(pDX, IDC_CHECK1, m_checkedSubdiv);
	DDX_Control(pDX, IDC_EDIT5, m_editDeltaTime);
	DDX_Control(pDX, IDC_BUTTON3, m_buttonPrevious);
	DDX_Control(pDX, IDC_BUTTON2, m_buttonNext);
	DDX_Control(pDX, IDC_EDIT4, m_editTag);
	DDX_Control(pDX, IDC_FPS, m_editFps);
	DDX_Control(pDX, IDC_EDITPORT, m_editPort);
	DDX_Control(pDX, IDC_EDITHOST, m_editHost);
	DDX_Control(pDX, IDC_SLIDER2, m_slider2);
	DDX_Control(pDX, IDC_EDIT3, m_edit3);
	DDX_Control(pDX, IDC_SLIDER1, m_slider);
	DDX_Control(pDX, IDC_EDIT1, m_edit1);
	DDX_Control(pDX, IDC_EDIT2, m_edit2);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DebugDialog, CDialog)
	//{{AFX_MSG_MAP(DebugDialog)
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)	
	ON_WM_CREATE()
	ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
	ON_BN_CLICKED(IDC_BUTTON3, OnButton3)
	ON_BN_CLICKED(IDC_BUTTONRESET, OnButtonreset)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DebugDialog message handlers

void DebugDialog::OnButton1() 
{
	rebuild = true;
}

int DebugDialog::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CDialog::OnCreate(lpCreateStruct) == -1)
		return -1;

	return 0;
}

void DebugDialog::OnButton2() 
{
	posun = 1;
}

void DebugDialog::OnButton3() 
{
	posun = -1;
}

void DebugDialog::OnRadio1() 
{
	
}

void DebugDialog::OnButtonreset() 
{
	assert(m_parent);
	((CChildView *)m_parent)->subdivCheck(m_checkedSubdiv.GetCheck() == 1);
}
